goto skip

This BAT file
* runs conv7to6 to convert v7 data in the v7 folder to create new v6 format files 
  sets6.har, basedata6.har and default6.prm
* runs conv6to7 to convert the above v6 format files to new v7 format files
  sets7.har, basedata7.har and default7.prm
* runs the gtapv6 model to check that it works with sets6.har, basedata6.har and default6.prm
* runs the gtapv7 model to check that it works with sets7.har, basedata7.har and default7.prm
* runs diffhar to check that the new v7 format files sets7.har, basedata7.har and default7.prm
  are identical to the original inputs in the v7 folder.

:skip
call cleanup
rem run TABLO on all program
tablo -pgs conv6to7
if errorlevel 1 goto err
tablo -pgs conv7to6
if errorlevel 1 goto err
tablo -sti gtapv7.sti
if errorlevel 1 goto err
tablo -sti gtapv6.sti
if errorlevel 1 goto err
del  *ceqexplen.har

gemsim -cmf conv7to6.cmf
if errorlevel 1 goto err

gemsim -cmf conv6to7.cmf
if errorlevel 1 goto err

gemsim -cmf gtap6.cmf
if errorlevel 1 goto err

gemsim -cmf gtap7.cmf
if errorlevel 1 goto err

del DECOMP.har GTAPVOL.har SUMMARY.har

diffhar basedata7.har  v7\basedata.har flowdiffs7.har D
if errorlevel 1 goto err

diffhar default7.prm   v7\default.prm  parmdiffs7.har D
if errorlevel 1 goto err

dir *.har *.prm

ECHO  Job run OK

goto endbat
 
:err
ECHO  ERROR running program  
:endbat
